﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace CopyCenter
{
    /// <summary>
    /// Логика взаимодействия для ClientsWindow.xaml
    /// </summary>
    public partial class ClientsWindow : Window
    {
        gr672_liiEntities db = new gr672_liiEntities();
        public ClientsWindow()
        {
            InitializeComponent();
            db = new gr672_liiEntities();
        }

        private void Exit_Click(object sender, RoutedEventArgs e)
        {
            MenuWindow mw = new MenuWindow();
            mw.Show();
            this.Close();
        }

        private void Add(object sender, RoutedEventArgs e)
        {
            Client client = new Client();
            client.NameClient = Name.Text;
            client.TypeClient = TypeClient.Text;
            db.Clients.Add(client);
            db.SaveChanges();
            ClientsList.ItemsSource = db.Clients.ToList();
        }

        private void Delete(object sender, RoutedEventArgs e)
        {
            Client dRow = new Client();
            dRow = db.Clients.Where(w => w.NameClient == Name.Text).FirstOrDefault();
            db.Clients.Remove(dRow);
            db.SaveChanges();
            ClientsList.ItemsSource = db.Clients.ToList();
        }

        private void Update(object sender, RoutedEventArgs e)
        {
            Client uRow = new Client();
            uRow = db.Clients.Where(w => w.NameClient == Name.Text).FirstOrDefault();
            uRow.NameClient = Name.Text;
            uRow.TypeClient = TypeClient.Text;
            db.SaveChanges();
            ClientsList.ItemsSource = db.Clients.ToList();
        }
    }
}
